manage_calendar_events 1.0.2

  • Readme
  • Changelog
  • Example
  • Installing
  • 65

Manage Calendar Events #

A flutter plugin which will help you to add, edit and remove the events (with reminders) from your (Android and ios) calendars

What are the features available? #

  • can read all the available calendars in your device (Android and ios)
  • can read all the events from the selected calendar
  • can add an event with title, description, start date, end date and a reminder in your selected calendar
  • can update or delete the selected event
  • can add, update and remove the reminders (/alarms in ios)

For Android #

Android support is used a Java code and it requires a following permissions

<uses-permission android:name="android.permission.READ_CALENDAR" />
<uses-permission android:name="android.permission.WRITE_CALENDAR" />

For iOS #

iOS support is used a swift code and it requires a following permissions to add in info.plist

<key>NSCalendarsUsageDescription</key>
<string>INSERT_REASON_HERE</string>

1.0.1 #

  • Added dartdoc comment for APIs

0.0.1 #

  • Initial release
  • Provides the add, update and delete event support

example/lib/main.dart

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:manage_calendar_events/manage_calendar_events.dart';

import 'screens/calendar_list.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(home: new CalendarPluginCheck());
  }
}

class CalendarPluginCheck extends StatelessWidget {
  final CalendarPlugin _myPlugin = CalendarPlugin();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: Center(
        child: RaisedButton(
          onPressed: () {
            _myPlugin.hasPermissions().then((value) {
              if (!value) {
                _myPlugin.requestPermissions();
              } else {
                Navigator.push(context,
                    MaterialPageRoute(builder: (context) => CalendarList()));
              }
            });
          },
          child: Text("Show Calendars"),
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  manage_calendar_events: ^1.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:manage_calendar_events/manage_calendar_events.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
29
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
65
Learn more about scoring.

We analyzed this package on Mar 31, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6
  • Flutter: 1.12.13+hotfix.8

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test